# MultiSign

## approveFunctions

### approveSetterFunction

```solidity
function approveSetterFunction(uint8[] memory functions)
```

| Param Name | Type      | Description                              |
| ---------- | --------- | ---------------------------------------- |
| functions  | uint8\[ ] | Which functions the admins needs to set. |

Takes array of uint8 as param to approve specific or all setter functions to set data.

### approvePause

```solidity
function approvePause(uint8[] memory functions)
```

| Param Name | Type      | Description                                |
| ---------- | --------- | ------------------------------------------ |
| functions  | uint8\[ ] | Which functions the admins needs to pause. |

Takes array of uint8 as param to approve pausing of specific or all functions in Borrowing and CDS.

### approveUnpause

```solidity
function approveUnPause(uint8[] memory functions)
```

| Param Name | Type      | Description                                  |
| ---------- | --------- | -------------------------------------------- |
| functions  | uint8\[ ] | Which functions the admins needs to unpause. |

Takes array of uint8 as param to approve unpausing of specific or all functions in Borrowing and CDS.

{% hint style="info" %}
To unpause functions, they must be in paused state.
{% endhint %}

### approveBorrowingPause

```solidity
function approveBorrowingPause()
```

Approve to pause all functions in Borrowing.

### approveCDSPause

```solidity
function approveCDSPause()
```

Approve to pause all functions in CDS.

### approveBorrowingUnPause

```solidity
function approveBorrowingUnPause()
```

Approve to unpause all functions in Borrowing.

### approveCDSUnPause

```solidity
function approveCDSUnPause()
```

Approve to unpause all functions in CDS.

## Pause / unpause Functions

### pauseFunction

```solidity
function pauseFunction(uint8[] memory functions)
```

| Param Name | Type      | Description                            |
| ---------- | --------- | -------------------------------------- |
| functions  | uint8\[ ] | Functions to pause which are approved. |

Pause the approved functions by admins.

### unpauseFunction

```solidity
function unpauseFunction(uint8[] memory functions)
```

| Param Name | Type      | Description                              |
| ---------- | --------- | ---------------------------------------- |
| functions  | uint8\[ ] | Functions to unpause which are approved. |

Un pause the approved functions by admins.

### pauseBorrowing

```solidity
function pauseBorrowing()
```

Pause all the functions in Borrowing contract.

### pauseCDS

```solidity
function pauseCDS()
```

Pause all the functions in CDS contract.

### unpauseBorrowing

```solidity
function unpauseBorrowing()
```

Un pause all the functions in Borrowing contract.

### unpauseCDS

```solidity
function unpauseCDS()
```

Un pause all the functions in CDS contract.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nondollar.life/autonomint/blockchain-docs/core-contracts/multisign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
